local addonName, addonDataTable = ...

addonDataTable.translations = {
    description = "Popis",
    objectives = "Cíl úkolu"
}

addonDataTable.classData = {
    ["WARRIOR"] = {
        f0 = "bojovnice", f1 = "bojovnice", f2 = "bojovnici", f3 = "bojovnici", f4 = "bojovnice", f5 = "bojovnicí",
        m0 = "bojovník", m1 = "bojovníka", m2 = "bojovníkovi", m3 = "bojovníku", m4 = "bojovníkem",
        p0 = "bojovníci", p1 = "bojovníků", p3 = "bojovníky"
    },
    ["HUNTER"] = {
        f0 = "lovkině", f1 = "lovkině", f2 = "lovkiní", f3 = "lovkiní", f4 = "lovkině", f5 = "lovkiní",
        m0 = "lovec", m1 = "lovce", m2 = "lovci", m3 = "lovče", m4 = "lovcem",
        p0 = "lovci", p1 = "luvců", p3 = "lovce"
    },
    ["ROGUE"] = {
        f0 = "tulačka", f1 = "tulačky", f2 = "tulačce", f3 = "tulačku", f4 = "tulačko", f5 = "tulačkou",
        m0 = "tulák", m1 = "tuláka", m2 = "tulákovi", m3 = "tuláku", m4 = "tulákem",
        p0 = "tuláci", p1 = "tuláků", p3 = "tuláky"
    },
    ["PRIEST"] = {
        f0 = "kněžka", f1 = "kněžky", f2 = "kněžce", f3 = "kněžku", f4 = "kněžko", f5 = "kněžkou",
        m0 = "kněz", m1 = "knězce", m2 = "knězi", m3 = "kněží", m4 = "knězem",
        p0 = "kněží", p1 = "knězů", p3 = "kněží"
    },
    ["SHAMAN"] = {
        f0 = "šamanka", f1 = "šamanky", f2 = "šamance", f3 = "šamanku", f4 = "šamanko", f5 = "šamankou",
        m0 = "šaman", m1 = "šamana", m2 = "šamanovi", m3 = "šamane", m4 = "šamanem",
        p0 = "šamané", p1 = "šamanů", p3 = "šamany"
    },
    ["MAGE"] = {
        f0 = "mágině", f1 = "mágině", f2 = "mágini", f3 = "mágini", f4 = "mágině", f5 = "máginí",
        m0 = "mág", m1 = "mága", m2 = "mágovi", m3 = "mágu", m4 = "mágem",
        p0 = "mágové", p1 = "mágů", p3 = "mágy"
    },
    ["DRUID"] = {
        f0 = "druidka", f1 = "druida", f2 = "druidce", f3 = "druidku", f4 = "druidko", f5 = "druidkou",
        m0 = "druid", m1 = "druida", m2 = "druidovi", m3 = "druide", m4 = "druidem",
        p0 = "drudé", p1 = "druidů", p3 = "druidy"
    },
    ["WARLOCK"] = {
        f0 = "černokněžník", f1 = "černokněžníka", f2 = "černokněžnici", f3 = "černokněžníci", f4 = "černokněžnice", f5 = "černokněžníkem",
        m0 = "černokněžník", m1 = "černokněžníka", m2 = "černokněžníkovi", m3 = "černokněžníku", m4 = "černokněžníkem",
        p0 = "černokněžníci", p1 = "černokněžníků", p3 = "černokněžníky"
    },
};


addonDataTable.raceData = {
    ["Human"] = {
        f0 = "člověk", f1 = "člověka", f2 = "člověku", f3 = "člověka", f4 = "člověče", f5 = "člověkem",
        m0 = "člověk", m1 = "člověka", m2 = "člověku", m3 = "člověče", m4 = "člověkem",
        p0 = "lidé", p1 = "lidí", p3 = "lidi"
    },
    ["NightElf"] = {
        f0 = "noční elfka", f1 = "noční elfky", f2 = "noční elfce", f3 = "noční elfku", f4 = "noční elfko", f5 = "noční elfkou",
        m0 = "noční elf", m1 = "nočního elfa", m2 = "nočnímu elfovi", m3 = "noční elfe", m4 = "nočním elfem",
        p0 = "noční elfové", p1 = "nočních elfů", p3 = "noční elfy"
    },
    ["Dwarf"] = {
        f0 = "trpaslice", f1 = "trpaslice", f2 = "trpaslici", f3 = "trpaslici", f4 = "trpaslice", f5 = "trpaslicí",
        m0 = "trpaslík", m1 = "trpaslíka", m2 = "trpaslíkovi", m3 = "trpaslíku", m4 = "trpaslíkem",
        p0 = "trpaslíci", p1 = "trpaslíků", p3 = "trpaslíky"
    },
    ["Gnome"] = {
        f0 = "skřítek", f1 = "skříteka", f2 = "skřítkovi", f3 = "skříteka", f4 = "skříteku", f5 = "skřítekem",
        m0 = "skřítek", m1 = "skříteka", m2 = "skřítkovi", m3 = "skříteku", m4 = "skřítekem",
        p0 = "skřítci", p1 = "skřítků", p3 = "bojovníky"
    },
    ["Orc"] = {
        f0 = "orkině", f1 = "orkině", f2 = "orkini", f3 = "orkini", f4 = "orkině", f5 = "orkiní",
        m0 = "ork", m1 = "orka", m2 = "orkovi", m3 = "orku", m4 = "orkem",
        p0 = "orkové", p1 = "orků", p3 = "orky"
    },
    ["Undead"] = {
        f0 = "nemrtvá", f1 = "nemrtvé", f2 = "nemrtvé", f3 = "nemrtvou", f4 = "nemrtvá", f5 = "nemrtvou",
        m0 = "nemrtvý", m1 = "nemrtvého", m2 = "nemrtvému", m3 = "nemrtvý", m4 = "nemrtvým",
        p0 = "nemtvý", p1 = "nemrtvých", p3 = "nemrtvé"
    },
    ["Tauren"] = {
        f0 = "tauren", f1 = "taurena", f2 = "taurence", f3 = "taurenku", f4 = "taurenko", f5 = "taurenkou",
        m0 = "tauren", m1 = "taurena", m2 = "taurenovi", m3 = "taurene", m4 = "taurenem",
        p0 = "taureni", p1 = "taurenů", p3 = "taureny"
    },
    ["Troll"] = {
        f0 = "trol", f1 = "trola", f2 = "trolovi", f3 = "trola", f4 = "trole", f5 = "trolem",
        m0 = "trol", m1 = "trola", m2 = "trolovi", m3 = "trole", m4 = "trolem",
        p0 = "trolové", p1 = "trolů", p3 = "troly"
    },
}
